<!DOCTYPE html>
<html lang="es">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Calendario Mes</title>
    <link rel="stylesheet" href="style.css">
</head>

<body>

    <form action="index.php" method="post">
        <input type="number" name="mes" required min="1" max="12">
        <input type="number" name="ano" required min="1">
        <input type="submit" value="Enviar">
    </form>
    <div style="width: 450px;"> 

    <?php
    if (isset($_POST['mes']) && isset($_POST['ano']) && $_POST['mes'] >= 1 && $_POST['mes'] <= 12 && $_POST['ano'] >= 1) {
        include_once("funciones.php");
        $variable;
        foreach ($_POST as $key => $value) {
            $variable = $key;
            $$variable = $value;
        }
        $esbisiesto = bisiesto($ano); // 0 o 1
        $ano--;
        $total = 1;
        $total = $ano * 365;
        $total += ($ano - ($ano % 4)) / 4;
        $total -= ($ano - ($ano % 100)) / 100;
        $total += ($ano - ($ano % 400)) / 400;

        $diasMeses = [0, 31, 28 + $esbisiesto, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
        for ($m=1; $m < $mes; $m++) { 
            $total += $diasMeses[$m];
        }
        $total %= 7;
        if($total == 0){
            $total = 7;
        }

        $meses = ["enero", "febrero", "marzo", "abril", "mayo", "junio", "julio", "agosto", "septiembre", "octubre", "noviembre", "diciembre"];
        $diasdelasemana = ["lunes", "martes", "miércoles", "jueves", "viernes", "sábado", "domingo"];

        echo "<table><caption>" . $meses[$mes-1].  " de " . ++$ano . "</caption><thead><tr>";
        foreach ($diasdelasemana as $key => $value) {
            echo "<th>" . $value . "</th>";
        }
        echo "</tr><thead><tbody>";
        $dia = 1;
        $contador = 1;
        while($dia < $diasMeses[$mes]){
            echo "<tr>";
                for ($d=1; $d <= 7; $d++) { 
                    echo "<td>";
                    if($contador > $total && $dia <= $diasMeses[$mes]){
                        echo $dia++;
                    }
                    $contador++;
                    echo "</td>";
                }
            echo "</tr>";
        }

        echo "</tbody></table>";
    }
    ?>
    </div>
</body>

</html>